Name:		gfxboot
Version:	4.5.0
Release:	2
Summary:	Tools to create graphical boot logos
# http://gitorious.org/gfxboot/
Source0:	%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://en.opensuse.org/Gfxboot
BuildRequires:	nasm
BuildRequires:	xmlto
BuildRequires:	lynx
BuildRequires:	docbook-dtd412-xml
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(freetype2)
ExclusiveArch:	%{ix86} x86_64
Patch0:		gfxboot-4.3.8-mandriva.patch
Patch1:		gfxboot-4.3.8-link.patch
Patch2:		gfxboot-4.5.0-fix-syslinux-path.patch

%description
gfxboot provides tools to create graphical boot logos, for grub, lilo
and syslinux. It supports arch-specific boot menus, advanced help
menus, multiple keymaps, animated images, and more graphical pretty
things.

%package	devel
License:	GPLv2+
Summary:	Tools for creating a graphical boot logo
Group:		System/Kernel and hardware
Requires:	gfxboot = %{EVRD}
%if "%{distepoch}" >= "2011.0"
Requires:	master-boot-code
%endif
Requires:	qemu

%description devel
Here you find the necessary programs to create your own graphical boot
logo. The logo can be used with grub, lilo or syslinux.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%make CFLAGS="%{optflags} %{ldflags}"
%make doc

%install
%makeinstall_std THEMES=""
install -m644 doc/gfxboot.8 -D %{buildroot}%{_mandir}/man8/gfxboot.8

# add adddir and keymapchars since they are used in mandriva-gfxboot-theme
# build system
install -m755 bin/adddir -D %{buildroot}%{_bindir}/gfxboot-adddir
install -m755 bin/keymapchars -D %{buildroot}%{_bindir}/gfxboot-keymapchars
# gfxboot-compile is used to build as non-root, move it out of /usr/sbin
mv %{buildroot}%{_sbindir}/gfxboot-compile %{buildroot}%{_bindir}/gfxboot-compile
mv %{buildroot}%{_sbindir}/gfxboot-font %{buildroot}%{_bindir}/gfxboot-font

%files
%{_sbindir}/gfxboot
%{_sbindir}/gfxtest
%{_mandir}/man8/*

%files devel
%doc doc/gfxboot.html doc/gfxboot.txt
%{_bindir}/gfxboot-compile
%{_bindir}/gfxboot-font
%{_bindir}/gfxboot-adddir
%{_bindir}/gfxboot-keymapchars


%changelog
* Sun Sep 09 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.5.0-2
+ Revision: 816573
- fix path to /usr/lib/syslinux
- add reference to git repository
- fix mixed-use-of-spaces-and-tabs
- use CFLAGS variable
- use pkgconfig() deps as buildrequires
- cleanups
- new version
- update url

* Mon Jan 02 2012 Paulo Andrade <pcpa@mandriva.com.br> 4.3.8-3
+ Revision: 748721
- Rebuild to correct gfxboot preview mode.

* Tue Oct 25 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.3.8-2
+ Revision: 707164
- Rediff Mandriva patch for gfxboot preview.

* Wed Aug 17 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.3.8-1
+ Revision: 695067
- Update to latest upstream release.

* Wed Jun 08 2011 Paulo Andrade <pcpa@mandriva.com.br> 4.1.19-8
+ Revision: 683308
- Make debugging of gfxboot images simpler

* Sun May 08 2011 Funda Wang <fwang@mandriva.org> 4.1.19-7
+ Revision: 672414
- add br

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Mon Dec 20 2010 Funda Wang <fwang@mandriva.org> 4.1.19-6mdv2011.0
+ Revision: 623263
- fix linkage

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1.19-5mdv2010.1
+ Revision: 522725
- rebuilt for 2010.1

* Thu Sep 24 2009 Olivier Blin <blino@mandriva.org> 4.1.19-4mdv2010.0
+ Revision: 448382
- build gfxboot on x86 only (from Arnaud Patard)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.1.19-3mdv2010.0
+ Revision: 428508
- add missing BuildRequires
- rebuild
- add 2 binaries that were build but not installed, they are used by mandriva-gfxboot-theme build system

* Tue Jan 27 2009 Pixel <pixel@mandriva.com> 4.1.19-2mdv2009.1
+ Revision: 334055
- add require from gfxboot-devel on gfxboot (same version)

* Thu Jan 22 2009 Pixel <pixel@mandriva.com> 4.1.19-1mdv2009.1
+ Revision: 332569
- 4.1.19
- adapt spec (inspiration: SuSE's spec)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 3.3.18-4mdv2009.0
+ Revision: 219552
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.org> 3.3.18-2mdv2008.0
+ Revision: 91249
- rebuild for 2008
- new license policy
- slight spec clean

